Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class RSS091UserlandGenerator

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedGenerator
          com.sun.syndication.io.impl.RSS090Generator
              com.sun.syndication.io.impl.RSS091UserlandGenerator

All Implemented Interfaces:
  WireFeedGenerator

Direct Known Subclasses:
  RSS091NetscapeGenerator, RSS092Generator

    public class RSS091UserlandGenerator

extends RSS090Generator

Feed Generator for RSS 0.91

Author:
  Elaine Chien

Constructor Summary
`` | `RSS091UserlandGenerator()`
`protected` | `RSS091UserlandGenerator(String type, String version)`

Method Summary
`protected void` | `addChannel(Channel channel, org.jdom.Element parent)`
`protected void` | `checkChannelConstraints(org.jdom.Element eChannel)`
`protected void` | `checkImageConstraints(org.jdom.Element eImage)`
`protected void` | `checkItemConstraints(org.jdom.Element eItem)`
`protected void` | `checkTextInputConstraints(org.jdom.Element eTextInput)`
`protected org.jdom.Document` | `createDocument(org.jdom.Element root)`
`protected org.jdom.Element` | `createRootElement(Channel channel)`
`protected org.jdom.Element` | `generateSkipDaysElement(List days)`
`protected org.jdom.Element` | `generateSkipHoursElement(List hours)`
`protected org.jdom.Namespace` | `getFeedNamespace()`
`protected String` | `getVersion()`
`protected boolean` | `isHourFormat24()` To be overriden by RSS 0.91 Netscape and RSS 0.94
`protected void` | `populateChannel(Channel channel, org.jdom.Element eChannel)` Populates the given channel with parsed data from the ROME element that holds the channel data.
`protected void` | `populateFeed(Channel channel, org.jdom.Element parent)`
`protected void` | `populateImage(Image image, org.jdom.Element eImage)`
`protected void` | `populateItem(Item item, org.jdom.Element eItem, int index)`

Methods inherited from class com.sun.syndication.io.impl.RSS090Generator
`addImage, addItem, addItems, addTextInput, checkItemsConstraints, checkLength, checkNotNullAndLength, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, getTextInputLabel, populateTextInput`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator
`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSS091UserlandGenerator

    public RSS091UserlandGenerator()

### RSS091UserlandGenerator

    protected RSS091UserlandGenerator(String type,
                                      String version)

Method Detail

### getFeedNamespace

    protected org.jdom.Namespace getFeedNamespace()

  Overrides:
    `getFeedNamespace` in class `RSS090Generator`

### isHourFormat24

    protected boolean isHourFormat24()

  To be overriden by RSS 0.91 Netscape and RSS 0.94

### getVersion

    protected String getVersion()

### addChannel

    protected void addChannel(Channel channel,
                              org.jdom.Element parent)
                       throws FeedException

  Overrides:
    `addChannel` in class `RSS090Generator`
  Throws:
    `FeedException`

### checkChannelConstraints

    protected void checkChannelConstraints(org.jdom.Element eChannel)
                                    throws FeedException

  Overrides:
    `checkChannelConstraints` in class `RSS090Generator`
  Throws:
    `FeedException`

### checkImageConstraints

    protected void checkImageConstraints(org.jdom.Element eImage)
                                  throws FeedException

  Overrides:
    `checkImageConstraints` in class `RSS090Generator`
  Throws:
    `FeedException`

### checkItemConstraints

    protected void checkItemConstraints(org.jdom.Element eItem)
                                 throws FeedException

  Overrides:
    `checkItemConstraints` in class `RSS090Generator`
  Throws:
    `FeedException`

### checkTextInputConstraints

    protected void checkTextInputConstraints(org.jdom.Element eTextInput)
                                      throws FeedException

  Overrides:
    `checkTextInputConstraints` in class `RSS090Generator`
  Throws:
    `FeedException`

### createDocument

    protected org.jdom.Document createDocument(org.jdom.Element root)

  Overrides:
    `createDocument` in class `RSS090Generator`

### createRootElement

    protected org.jdom.Element createRootElement(Channel channel)

  Overrides:
    `createRootElement` in class `RSS090Generator`

### generateSkipDaysElement

    protected org.jdom.Element generateSkipDaysElement(List days)

### generateSkipHoursElement

    protected org.jdom.Element generateSkipHoursElement(List hours)

### populateChannel

    protected void populateChannel(Channel channel,
                                   org.jdom.Element eChannel)

  Description copied from class: `RSS090Generator`
  Populates the given channel with parsed data from the ROME element that holds the channel data.

  Overrides:
    `populateChannel` in class `RSS090Generator`
  Parameters:
    `channel` - the channel into which parsed data will be added.
    `eChannel` - the XML element that holds the data for the channel.

### populateFeed

    protected void populateFeed(Channel channel,
                                org.jdom.Element parent)
                         throws FeedException

  Overrides:
    `populateFeed` in class `RSS090Generator`
  Throws:
    `FeedException`

### populateImage

    protected void populateImage(Image image,
                                 org.jdom.Element eImage)

  Overrides:
    `populateImage` in class `RSS090Generator`

### populateItem

    protected void populateItem(Item item,
                                org.jdom.Element eItem,
                                int index)

  Overrides:
    `populateItem` in class `RSS090Generator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.